当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : vim7问题
帖子发表于 : 2006-06-03 16:22 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
最近出来的。搞的gvim没高亮。要全部卸载,再安装,就正常,可隔段时间,可能是升级,就又来了。

$ dpkg -l vim*
期望状态=未知(u)/安装(i)/删除(r)/清除(p)/保持(h)
| 当前状态=未(n)/已安装(i)/仅存配置(c)/仅解压缩(U)/配置失败(F)/不完全安装(H)
|/ 错误?=(无)/保持(?)/须重装(R)/两者兼有(#) (状态,错误:大写=故障)
||/ 名称 版本 简介
+++-==============-==============-============================================
ii vim 7.0-010+1ubunt Vi IMproved - enhanced vi editor
ii vim-common 7.0-010+1ubunt Vi IMproved - Common files
un vim-doc <无> (无相关介绍)
un vim-full <无> (无相关介绍)
ii vim-gnome 7.0-010+1ubunt Vi IMproved - enhanced vi editor - with GNOM
un vim-gtk <无> (无相关介绍)
ii vim-gui-common 7.0-010+1ubunt Vi IMproved - Common GUI files
un vim-lesstif <无> (无相关介绍)
un vim-perl <无> (无相关介绍)
un vim-python <无> (无相关介绍)
un vim-ruby <无> (无相关介绍)
ii vim-runtime 7.0-010+1ubunt Vi IMproved - Runtime files
un vim-scripts <无> (无相关介绍)
un vim-tcl <无> (无相关介绍)
un vim-tiny <无> (无相关介绍)


附件:
-2006-06-03-16-19-23.png
-2006-06-03-16-19-23.png [ 21.28 KiB | 被浏览 1755 次 ]



_________________
● 鸣学


最后由 eexpress 编辑于 2006-06-04 20:34,总共编辑了 1 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-06-03 17:15 
头像

注册: 2006-05-19 9:54
帖子: 1822
地址: Shanghai
送出感谢: 2
接收感谢: 11
:syntax on?

图片的问题,基本上是runtime的版本不对吧
不过看看dpkg也都装了,这种就说不准了,用官网上的runtime覆盖试试吧


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-06-03 20:15 
头像

注册: 2005-08-29 14:49
帖子: 1119
地址: 杭州
送出感谢: 0 次
接收感谢: 3
自个儿编译安装吧 :)

可能是 syntax on 没设?


:version 信息看看


_________________
用心×恒 | 豆瓣 | 门户 | Blog


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-06-03 20:16 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
到。源的哦。当然是设置了高亮,才出这个啊。

:version
VIM - Vi IMproved 7.0 (2006 May 7, compiled May 12 2006 07:53:11)
包含补丁: 1-10
编译者 freeflying@
大型版本 带 GTK2-GNOME 图形界面。 可使用(+)与不可使用(-)的功能:
+arabic +autocmd +balloon_eval +browse ++builtin_terms +byte_offset +cindent
+clientserver +clipboard +cmdline_compl +cmdline_hist +cmdline_info +comments
+cryptv +cscope +cursorshape +dialog_con_gui +diff +digraphs +dnd -ebcdic
+emacs_tags +eval +ex_extra +extra_search +farsi +file_in_path +find_in_path
+folding -footer +fork() +gettext -hangul_input +iconv +insert_expand +jumplist
+keymap +langmap +libcall +linebreak +lispindent +listcmds +localmap +menu
+mksession +modify_fname +mouse +mouseshape +mouse_dec +mouse_gpm
-mouse_jsbterm +mouse_netterm +mouse_xterm +multi_byte +multi_lang -mzscheme
+netbeans_intg -osfiletype +path_extra -perl +postscript +printer -profile
-python +quickfix +reltime +rightleft -ruby +scrollbind +signs +smartindent
-sniff +statusline -sun_workshop +syntax +tag_binary +tag_old_static
-tag_any_white -tcl +terminfo +termresponse +textobjects +title +toolbar
+user_commands +vertsplit +virtualedit +visual +visualextra +viminfo +vreplace
+wildignore +wildmenu +windows +writebackup +X11 -xfontset +xim +xsmp_interact
+xterm_clipboard -xterm_save
系统 vimrc 文件: "$VIM/vimrc"
用户 vimrc 文件: "$HOME/.vimrc"
用户 exrc 文件: "$HOME/.exrc"


_________________
● 鸣学


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-06-03 21:48 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
$ ar --purge vim vim-common vim-gnome vim-gui-common vim-runtime
$ ai vim vim-common vim-gnome vim-gui-common vim-runtime
还是重来,就正常。哎。不知道什么问题。

第150行。
exe 'vnoremenu <script> &Edit.&Paste<Tab>"+gP ' . paste#paste_cmd['v']

图上的提示,gP后面多个^I。


_________________
● 鸣学


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-06-04 19:49 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
妈的。重启一次,有出来了。天。


_________________
● 鸣学


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-06-04 21:03 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
全部卸载。只安装。hua说的。
$ ai vim-gnome


_________________
● 鸣学


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-06-05 9:12 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
另外一台机器的正常。
$ dpkg -l vim*|grep ^ii
ii vim 7.0-010+1ubuntu1 Vi IMproved - enhanced vi editor
ii vim-common 7.0-010+1ubuntu1 Vi IMproved - Common files
ii vim-gnome 7.0-010+1ubuntu1 Vi IMproved - enhanced vi editor - with GNOMii vim-gui-common 7.0-010+1ubuntu1 Vi IMproved - Common GUI files
ii vim-runtime 7.0-010+1ubuntu1 Vi IMproved - Runtime files

看到有问题的机器是多了这个包。
ii vim-gui-common 7.0-010+1ubunt Vi IMproved - Common GUI files


_________________
● 鸣学


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-06-05 10:26 
头像

注册: 2006-05-19 9:54
帖子: 1822
地址: Shanghai
送出感谢: 2
接收感谢: 11
编译安装吧,还可以把补丁打到7.0.017 :D


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-06-05 12:33 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
安装vim-gtk的吧,也是gtk2的界面,据说安装vim-gnome可能有问题.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-06-07 13:52 
头像

注册: 2006-03-30 13:34
帖子: 178
送出感谢: 0 次
接收感谢: 0 次
老是提示有更新,但装不起,咋办?
代码:
tobey@ubuntu:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在筹划升级... 完成
下列的软件包将被升级:
  vim vim-common vim-runtime
共升级了 3 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 7299kB 的软件包。
解压缩后会消耗掉 7532kB 的额外空间。
您希望继续执行吗?[Y/n]Y
【警告】:下列的软件包不能通过验证!
  vim vim-common vim-runtime
不经验证就安装这些软件包么?[y/N] y
错误 http://ubuntu.cn99.com dapper/main vim 1:7.0-010+1ubuntu1
  404 Not Found
错误 http://ubuntu.cn99.com dapper/main vim-common 1:7.0-010+1ubuntu1
  404 Not Found
错误 http://ubuntu.cn99.com dapper/main vim-runtime 1:7.0-010+1ubuntu1
  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim_7.0-010+1ubuntu1_i386.deb  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim-common_7.0-010+1ubuntu1_i386.deb  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim-runtime_7.0-010+1ubuntu1_all.deb  404 Not Found
E: 有几个软件包无法下载,您可以运行 apt-get update 或者加上 --fix-missing 的选项再试试?


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-06-10 17:42 

注册: 2005-10-18 14:11
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
Tobey 写道:
老是提示有更新,但装不起,咋办?
代码:
tobey@ubuntu:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在筹划升级... 完成
下列的软件包将被升级:
  vim vim-common vim-runtime
共升级了 3 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 7299kB 的软件包。
解压缩后会消耗掉 7532kB 的额外空间。
您希望继续执行吗?[Y/n]Y
【警告】:下列的软件包不能通过验证!
  vim vim-common vim-runtime
不经验证就安装这些软件包么?[y/N] y
错误 http://ubuntu.cn99.com dapper/main vim 1:7.0-010+1ubuntu1
  404 Not Found
错误 http://ubuntu.cn99.com dapper/main vim-common 1:7.0-010+1ubuntu1
  404 Not Found
错误 http://ubuntu.cn99.com dapper/main vim-runtime 1:7.0-010+1ubuntu1
  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim_7.0-010+1ubuntu1_i386.deb  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim-common_7.0-010+1ubuntu1_i386.deb  404 Not Found
无法下载 http://ubuntu.cn99.com/ubuntu-cn/dists/dapper/main/binary-i386/v/vim/vim-runtime_7.0-010+1ubuntu1_all.deb  404 Not Found
E: 有几个软件包无法下载,您可以运行 apt-get update 或者加上 --fix-missing 的选项再试试?



楼上的, 我和你一样. 怎么回事? 你搞好了吗? 如果你搞好了, 教我一下好吗?


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-06-10 17:55 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
楼上几位换个源试试?或者自己编译也行,本板块有教程,很简单的。


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-06-10 17:57 

注册: 2005-10-18 14:11
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
你是说是源的问题? CN99的源我刚刚查过了, 的确是没有VIM.

http://archive.ubuntu.org.cn/ubuntu-cn/中有. 我找到了. 所以.. 贴一下. :D


页首
 用户资料  
 
15 楼 
 文章标题 : 直接从6.4升级到7.0如果部覆盖原来的配置文件就会有问题
帖子发表于 : 2006-06-12 20:29 

注册: 2006-03-25 6:18
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
试过了,先用dkpk -r 删除vim,vim-common,vim-runtime都然后重装vim7,提示是否覆盖原配置文件,如果不覆盖则会出现vim没有语法高亮,启动时告错没有filetypedetect 时间还是什么的,如果删除vim的借个包,然后rm /etc/vim -rf,rm /usr/share/vim -rf rm ~/.viminfo后在安装vim7就一切OK。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译